Loading...
Searching...
No Matches
CLI::detail::is_istreamable< T, S > Class Template Reference

Check for input streamability. More...

`#include <TypeTools.hpp>`

## Static Public Attributes

static constexpr bool | value = decltype(test<T, S>(0))::value

## Detailed Description

template<typename T, typename S = std::istringstream>
class CLI::detail::is_istreamable< T, S >

Check for input streamability.

## Member Data Documentation

## value

template<typename T, typename S = std::istringstream>

bool CLI::detail::is_istreamable< T, S >::value = decltype(test<T, S>(0))::value

static constexpr

The documentation for this class was generated from the following file:

- include/CLI/TypeTools.hpp